Bug 1176436 - [ImportDomain] Import data domain should alert if was invoked on unsupported data centers
Summary: [ImportDomain] Import data domain should alert if was invoked on unsupported ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Tal Nisan
QA Contact: Pavel Stehlik
URL:
Whiteboard: storage
Depends On:
Blocks: rhev35rcblocker rhev35gablocker
TreeView+ depends on / blocked
 
Reported: 2014-12-21 20:04 UTC by Tal Nisan
Modified: 2016-02-10 17:26 UTC (History)
13 users (show)

Fixed In Version: ovirt-engine-3.5.0_vt13.6
Doc Type: Bug Fix
Doc Text:
In webadmin in the import storage domain dialog, in case we are selecting an import to a data center which version does not support an import of a storage domain with its entities, a warning icon will be displayed with a warning message that will be displayed when hovering above it.
Clone Of:
Environment:
Last Closed: 2015-02-16 19:09:55 UTC
oVirt Team: Storage


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 36328 master MERGED webadmin: Warn when importing a data domain to a DC that doesn't support Never
oVirt gerrit 36363 master MERGED core: Check if data center version supports import data domain upon attach Never
oVirt gerrit 36410 ovirt-engine-3.5 MERGED webadmin: Warn when importing a data domain to a DC that doesn't support Never
oVirt gerrit 36412 ovirt-engine-3.5 MERGED core: Check if data center version supports import data domain upon attach Never

Description Tal Nisan 2014-12-21 20:04:50 UTC
Description of problem:
Import of a data domain is available for data centers from version 3.5 and above, in case we select a 3.5 data center and then select a lower version data center, the import of a data domain options are not cleared and are selectable

Version-Release number of selected component (if applicable):
3.5

How reproducible:
100%

Steps to Reproduce:
1. In the storage domain main tab click on "Import domain"
2. If the default domain selected is of version <3.5 select "None" and then return to the default domain 
3. If the default domain select is 3.5 select a version <3.5 domain

Actual results:
When the domain with a version lower than 3.5 is selected the import data domain options will not disappear and remain selectable even though the action is not supported

Expected results:
The options should not be selectable for domain lower than version 3.5

Additional info:

Comment 1 Allon Mureinik 2014-12-21 21:17:31 UTC
Does it at least fail with a CDA in the backend?

Comment 2 Maor 2014-12-23 19:10:33 UTC
We should be able to import a Storage Domain for Data Center lower then 3.5, but if this storage domain is already attached to another Data Center, then we will fail.
So I think that the appropriate solution for this bug is to let the user import a Storage Domain for Data Center lower the 3.5 version, if the Storage Domain is already attached to another Data Center we should block this in the CDA other wise it should let the Storage Domain to be attached to the Data Center and add a warning whether this Storage Domain contains OVF_STORE disks, but attached to a Data Center with version lower the 3.5.

What is your opinion about this?
Do you think it sounds like a logical behavior or maybe this solution is better or you have other suggestions?

Comment 3 Allon Mureinik 2014-12-24 16:36:22 UTC
Importing an existing domain should be possible, but we should not fail on actions we know cannot work (force detaching, downloading OVFs).

In this case, we should have an audit log with the proper warning.

Comment 4 Kevin Alon Goldblatt 2015-01-14 12:09:29 UTC
Checked on version v3.5 13.6

Moving to Verified

Comment 5 Allon Mureinik 2015-02-16 19:09:55 UTC
RHEV-M 3.5.0 has been released, closing this bug.


Note You need to log in before you can comment on or make changes to this bug.